#!/bin/bash
CPU_MODEL=`cat /proc/cpuinfo | grep "model name" | sed -n 1p | awk '{ print $NF }'`
	mkdir -p /etc/ukui/lite-config

if [ -e /etc/ukui/lite-config/.ukui-mini.log ]; then
	echo "--$(date +"%Y-%m-%d %H:%M:%S")---文件/etc/ukui/lite-config/.ukui-mini.log存在" >> /etc/ukui/lite-config/.ukui-mini.log
else
	mkdir -p /etc/ukui/lite-config
	#UKUI-Mini模式下，默认关闭启动vpn
	if [ -f /etc/xdg/autostart/kylin-vpn.desktop ]; then
		mv  /etc/xdg/autostart/kylin-vpn.desktop  /etc/ukui/lite-config/
		if [ -f /etc/ukui/lite-config/kylin-vpn.desktop ]; then
				echo "---$(date +"%Y-%m-%d %H:%M:%S")----将vpn的desktop移动到lite-config文件夹成功--------" >> /etc/ukui/lite-config/.ukui-mini.log
		else
				echo "---$(date +"%Y-%m-%d %H:%M:%S")----将vpn的desktop移动到lite-config文件夹失败--------" >> /etc/ukui/lite-config/.ukui-mini.log
		fi
	fi

	#UKUI-Mini模式下，默认关闭启动kylin-nm
	# if [ -f /etc/xdg/autostart/kylin-nm.desktop ]; then
	# 	mv  /etc/xdg/autostart/kylin-nm.desktop  /etc/ukui/lite-config/
	# 	if [ -f /etc/ukui/lite-config/kylin-nm.desktop ]; then
	# 			echo "---$(date +"%Y-%m-%d %H:%M:%S")----将kylin-nm的desktop移动到lite-config文件夹成功--------" >> /etc/ukui/lite-config/.ukui-mini.log
	# 	else
	# 			echo "---$(date +"%Y-%m-%d %H:%M:%S")----将kylin-nm的desktop移动到lite-config文件夹失败--------" >> /etc/ukui/lite-config/.ukui-mini.log
	# 	fi
	# fi

	#UKUI-Mini模式下，默认关闭启动bluetooth
	if [ -f /etc/xdg/autostart/ukui-bluetooth.desktop ]; then
		mv  /etc/xdg/autostart/ukui-bluetooth.desktop  /etc/ukui/lite-config/
		if [ -f /etc/ukui/lite-config/ukui-bluetooth.desktop ]; then
				echo "---$(date +"%Y-%m-%d %H:%M:%S")----将bluetooth的desktop移动到lite-config文件夹成功--------" >> /etc/ukui/lite-config/.ukui-mini.log
		else
				echo "---$(date +"%Y-%m-%d %H:%M:%S")----将bluetooth的desktop移动到lite-config文件夹失败--------" >> /etc/ukui/lite-config/.ukui-mini.log
		fi
	fi

	#UKUI-Mini模式下，默认关闭启动ssh
	systemctl stop ssh
	systemctl disable ssh
	echo "---$(date +"%Y-%m-%d %H:%M:%S")----将ssh disable--------" >> /etc/ukui/lite-config/.ukui-mini.log

fi



# e2000下添加oom测试项
if [ "${CPU_MODEL}" = "Phytium,FT-E2000/Big" ] || [ "${CPU_MODEL}" = "E2000Q" ] ; then
    if [ -f /lib/systemd/system/lightdm.service ]; then
		ret=`cat /lib/systemd/system/lightdm.service|grep OOMScoreAdjust`
		if [ "x$ret" = "x" ];then
				sed -i '/^Restart=/ a OOMScoreAdjust=-1000' /lib/systemd/system/lightdm.service
		fi
    fi
fi
